apiVersion: redhatcop.redhat.io/v1alpha1
kind: QuayEcosystem
metadata:
  name: demoawscloudfront-quayecosystem
spec:
  quay:
    imagePullSecretName: redhat-pull-secret
    image: quay.io/quay/quay:v3.3.0-3
    registryBackends:
      - name: cloudfrontS3
        cloudfrontS3:
          accessKey: AKIAUMQAHCJON275SXFZ
          bucketName: quay0427
          secretKey: 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
          host: s3.us-east-2.amazonaws.com
          distributionDomain: do60gux9828by.cloudfront.net
          keyID: EHV9ZNKBNRTXW
          privateKeyFilename: cloudfront.pem
    database:
      volumeSize: 30Gi
    envVars:
      - name: DEBUGLOG
        value: "true"
  clair:
    enabled: true
    image: quay.io/quay/clair-jwt:v3.3.0-1
    imagePullSecretName: redhat-pull-secret
    updateInterval: "60m"
